class CreateSessions < ActiveRecord::Migration[7.1]
  def change
    create_table :sessions do |t|
      t.string :title
      t.string :language
      t.string :status
      t.text :description
      t.string :format
      t.string :track
      t.boolean :is_interpreted
      t.datetime :starts_at
      t.datetime :ends_at
      t.string :url
      t.references :conference, null: false, foreign_key: true
      t.references :stage, null: false, foreign_key: true

      t.timestamps
    end
  end
end
